
Foreman - Feature #351

The puppetclass rdocs frame should contain a link to the root of the rdoc tree

07/12/2010 01:25 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Puppet integration   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The integration of the puppet rdocs into the foreman interface allow quick viewing of a certain class's documentation. This interface is

not ideal for browsing a whole environment's classes. In this case the default multi-pane class browser is a better choice, so a link

should be provided.

Associated revisions

Revision aa6430ed - 10/03/2010 02:32 PM - Paul Kelly

Fixes #351 - puppet rdocs need a link to the class browser for that environment

History

#1 - 08/15/2010 12:48 PM - Ohad Levy

- Assignee changed from Ohad Levy to Paul Kelly

I assume you wanted to take care for this one?

#2 - 09/19/2010 03:28 PM - Ohad Levy

any target version in mind?

#3 - 09/19/2010 05:36 PM - Paul Kelly

- Target version set to 0.1-6

This is more difficult than it appears

#4 - 09/23/2010 01:13 PM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to feature/351-puppet-rdocs-link-to-rdocs-index

Fixed, rebased and rake test:ed

#5 - 10/03/2010 03:10 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset aa6430ed25517e4d1e131395f1c48e0dc64ee350.

#6 - 10/04/2010 09:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
